Permalink
Browse files

setup: remove graphviz from install_required

Signed-off-by: Rouven Czerwinski <r.czerwinski@pengutronix.de>
  • Loading branch information...
Emantor authored and jluebbe committed Oct 8, 2018
1 parent 7078aee commit 100415f615d91260c3d1007b426a242b0ab23255
Showing with 4 additions and 2 deletions.
  1. +2 −1 dev-requirements.txt
  2. +1 −0 graph-requirements.txt
  3. +1 −1 setup.py
@@ -11,4 +11,5 @@ yapf==0.20.1
-r onewire-requirements.txt
-r modbus-requirements.txt
-r snmp-requirements.txt
-r xena-requirements.txt
-r xena-requirements.txt
-r graph-requirements.txt
@@ -0,0 +1 @@
graphviz==0.8.4
@@ -18,6 +18,7 @@
'onewire': ['onewire>=0.2'],
'snmp': ['pysnmp', 'pysnmp-mibs'],
'modbus': ['pyModbusTCP'],
'graph': ['graphviz'],
},
setup_requires=['pytest-runner', 'setuptools_scm'],
tests_require=['pytest-mock', ],
@@ -32,7 +33,6 @@
'requests',
'xmodem>=0.4.5',
'autobahn',
'graphviz',
],
packages=[
'labgrid',

0 comments on commit 100415f

Please sign in to comment.